diff --git a/web/package.json b/web/package.json
index 518d01a2c..f74429d26 100644
--- a/web/package.json
+++ b/web/package.json
@@ -135,7 +135,7 @@
     "path-fx": "^2.0.0",
     "pathfinding": "^0.4.18",
     "paths-js": "^0.4.9",
-    "pgadmin4-tree": "git+https://github.com/EnterpriseDB/pgadmin4-treeview/#c66e5e0533cfc622915e85eed0adc3ac38305c61",
+    "pgadmin4-tree": "git+https://github.com/EnterpriseDB/pgadmin4-treeview/#51d4024780793cdb8c7cea8ec6ec3bb4cf438331",
     "postcss": "^8.2.15",
     "raf": "^3.4.1",
     "react": "^17.0.1",
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 562705b40..ed24be7b5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -299,7 +299,6 @@ define('pgadmin.node.database', [
           if (!data.connected && data.allowConn && !data.is_connecting) {
             data.is_connecting = true;
             connect_to_database(this, data, pgBrowser.tree, item, false);
-            return false;
           }
 
           return pgBrowser.Node.callbacks.selected.apply(this, arguments);
diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index 2bf4270f3..58794082e 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -510,7 +510,7 @@ define('pgadmin.browser', [
       obj.Events.on('pgadmin:browser:tree:update', obj.onUpdateTreeNode, obj);
       obj.Events.on('pgadmin:browser:tree:refresh', obj.onRefreshTreeNodeReact, obj);
       obj.Events.on('pgadmin-browser:tree:loadfail', obj.onLoadFailNode, obj);
-
+      obj.Events.on('pgadmin-browser:panel-browser:' + wcDocker.EVENT.RESIZE_ENDED, obj.onResizeEnded, obj);
       obj.bind_beforeunload();
 
       /* User UI activity */
@@ -518,6 +518,9 @@ define('pgadmin.browser', [
       obj.register_to_activity_listener(document);
       obj.start_inactivity_timeout_daemon();
     },
+    onResizeEnded: function() {
+      if (this.tree) this.tree.resizeTree();
+    },
     check_corrupted_db_file: function() {
       $.ajax({
         url: url_for('browser.check_corrupted_db_file'),
@@ -1682,8 +1685,10 @@ define('pgadmin.browser', [
       }
     },
 
-    onRefreshTreeNodeReact: function(_i) {
-      this.tree.refresh(_i);
+    onRefreshTreeNodeReact: function(_i, _opts) {
+      this.tree.refresh(_i).then(() =>{
+        if (_opts && _opts.success) _opts.success();
+      });
       return;
     },
 
@@ -2169,5 +2174,6 @@ define('pgadmin.browser', [
   setTimeout(function(){
     $('#mnu_about').closest('li').before('<li class="dropdown-divider"></li>');
   }, 100);
+
   return pgAdmin.Browser;
 });
diff --git a/web/pgadmin/static/js/tree/tree.js b/web/pgadmin/static/js/tree/tree.js
index 01da52d9c..c90459d61 100644
--- a/web/pgadmin/static/js/tree/tree.js
+++ b/web/pgadmin/static/js/tree/tree.js
@@ -287,6 +287,9 @@ export class Tree {
     return this.tree.getActiveFile();
   }
 
+  resizeTree() {
+    this.tree.resize();
+  }
 
   findNodeWithToggle(path) {
     let tree = this;
